$schema: "http://json-schema.org/draft-06/schema#"

title: datastream v1 MysqlProfile export schema
description: A gcloud export/import command YAML validation schema.
type: object
required:
- hostname
- username
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  hostname:
    description: Hostname for the MySQL connection.
    type: string
  password:
    description: |-
      Input only. Password for the MySQL connection. Mutually exclusive with the
      `secret_manager_stored_password` field.
    type: string
  port:
    description: Port for the MySQL connection, default value is 3306.
    type: integer
  secretManagerStoredPassword:
    description: |-
      A reference to a Secret Manager resource name storing the MySQL connection
      password. Mutually exclusive with the `password` field.
    type: string
  sslConfig:
    description: SSL configuration for the MySQL connection.
    $ref: MysqlSslConfig.yaml
  username:
    description: Username for the MySQL connection.
    type: string
